%define upstream_name    CPAN-PackageDetails
%define upstream_version 0.264

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Create or read 02packages.details.txt.gz
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/CPAN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::DistnameInfo)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.640.0
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(IO::Compress::Gzip)
BuildRequires: perl(IO::Uncompress::Gunzip)
BuildRequires: perl(Test::More) >= 1.0.0
BuildRequires: perl(Test::Output) >= 0.100.0
BuildRequires: perl(version) >= 0.780.0
BuildArch:  noarch

%description
An entry is a single line from _02packages.details.txt_ that maps a package
name to a source. It's a whitespace-separated list that has the values for
the column identified in the "columns" field in the header.

By default, there are three columns: package name, version, and path.

Inside a CPAN::PackageDetails object, the actual work and manipulation of
the entries are handled by delegate classes specified in 'entries_class'
and 'entry_class'). At the moment these are immutable, so you'd have to
subclass this module to change them.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Jan 15 2024 tv <tv> 0.264.0-1.mga10
+ Revision: 2031277
- update to 0.264

* Mon Mar 21 2022 umeabot <umeabot> 0.263.0-2.mga9
+ Revision: 1814029
- Mageia 9 Mass Rebuild

* Thu Feb 25 2021 tv <tv> 0.263.0-1.mga9
+ Revision: 1691078
- update to 0.263

* Fri Feb 14 2020 umeabot <umeabot> 0.262.0-2.mga8
+ Revision: 1519467
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Oct 17 2018 shlomif <shlomif> 0.262.0-1.mga7
+ Revision: 1321440
- update to 0.262

* Thu Sep 20 2018 umeabot <umeabot> 0.261.0-2.mga7
+ Revision: 1281868
- Mageia 7 Mass Rebuild

* Fri Jun 22 2018 shlomif <shlomif> 0.261.0-1.mga7
+ Revision: 1238894
- update to 0.261

* Sat Jun 18 2016 pterjan <pterjan> 0.260.0-5.mga6
+ Revision: 1024486
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 0.260.0-4.mga6
+ Revision: 940978
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.260.0-3.mga5
+ Revision: 742499
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Feb 04 2014 shlomif <shlomif> 0.260.0-1.mga5
+ Revision: 581029
- update to 0.26

* Fri Oct 18 2013 umeabot <umeabot> 0.250.0-3.mga4
+ Revision: 509530
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.250.0-2.mga3
+ Revision: 363625
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 20 2011 shlomif <shlomif> 0.250.0-1.mga2
+ Revision: 184796
- imported package perl-CPAN-PackageDetails

